function [vrep, hrep] = makePlottablePolytope(poly, zerotol, flatness, ...
    infinityBoxSize)
% inflate a degenerated and bound an unbounded polytope
%
% Syntax: [vrep, hrep] = makePlottablePolytope(poly, zerotol, ...
%                          flatness, infinityBoxSize)
%
% A V-representation can be flat, but never unbound. A H-representation can
%   be unbounded and flat. Both special cases are covered by the functions
%   convertHrepToVrep and convertVrepToHrep.
%
% See also: viewPolytope, convertPolytope, convertVrepToHrep,
%   convertHrepToVrep

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2012 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.

infoPoly = identifyPolytope(poly);

switch lower(infoPoly.rep)
    case 'hrep'
        % infinityBox
        vrep = convertHrepToVrep(poly, zerotol, infinityBoxSize);
        % inflate
        hrep = convertVrepToHrep(vrep, zerotol, flatness);
        % get appropriate vrep
        vrep = convertHrepToVrep(hrep, zerotol);
    case 'vrep'
        % inflate
        hrep = convertVrepToHrep(poly, zerotol, flatness);
        % get appropriate vrep
        vrep = convertHrepToVrep(hrep, zerotol);
end
